Subject: Re: [Insipid] draft-ietf-insipid-session-id-reqts-03

From: "Paul E. Jones" <[email-masked]>
Date: Sun, 2 Dec 2012 17:08:45 -0500

Folks,

Any comments on this revised requirements document?

Paul

From: [email-masked] [mailto:[email-masked]] On Behalf
Of Paul E. Jones
Sent: Wednesday, November 21, 2012 1:47 PM
To: [email-masked]
Subject: [Insipid] draft-ietf-insipid-session-id-reqts-03

Folks,

I've posted a new -03 version of the requirements draft.  Please note that I
did not change the wording related to "communication session", yet.
However, what was changed is:

.         Removed sections marked as "DELETED"

.         Re-numbered all requirements so they are consecutive

.         Minor editorial changes

.         Changes to REQ8 and corresponding section 3.6 that removes
language related to RTCP with language relating to syntax; please be sure to
look at that text

.         Removed last sentence from REQ2

.         Wording change on REQ3

.         At the AD's request, I moved some authors to a new "Contributors"
section

Comments welcome, though note it is a holiday here in the US Thursday and
Friday, so I apologize if my responses are slow. 

Paul

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Mon, 17 Dec 2012 21:18:50 +0000

Hi Paul,

Section 3.4
s/one side at a time, through until completion /one side at a time, until completion

Section 3.7
s/ in section 4.1 of RFC 3725 the flow for which/in section 4.1 of RFC 3725, the flow for which
And add a cross reference to RFC 3725.

Section 4,
REQ2 has an extra " ." at the end.
REQ3 seems problematic to me. It reads:
   The solution must require that the identifier pass unchanged
   through SIP B2BUAs or other intermediaries.
I believe we discussed some scenarios in which a B2BUA might actually add something to a session-id on behalf of an entity that did not add one itself. That seems to conflict with this requirement. Either I recall the conversions at IETF 85 incorrectly, or we need to change this requirement. Ah, I just read REQ5, so REQ3 needs to change or be combined with REQ5.

Cheers,
Charles

From: [email-masked] [mailto:[email-masked]] On Behalf Of Paul E. Jones
Sent: Sunday, December 02, 2012 2:09 PM
To: [email-masked]
Subject: Re: [Insipid] draft-ietf-insipid-session-id-reqts-03

Folks,

Paul

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Paul E. Jones
Sent: Wednesday, November 21, 2012 1:47 PM
To: [email-masked]<mailto:[email-masked]>
Subject: [Insipid] draft-ietf-insipid-session-id-reqts-03

Folks,

I've posted a new -03 version of the requirements draft.  Please note that I did not change the wording related to "communication session", yet.  However, what was changed is:

*         Removed sections marked as "DELETED"

*         Re-numbered all requirements so they are consecutive

*         Minor editorial changes

*         Changes to REQ8 and corresponding section 3.6 that removes language related to RTCP with language relating to syntax; please be sure to look at that text

*         Removed last sentence from REQ2

*         Wording change on REQ3

*         At the AD's request, I moved some authors to a new "Contributors" section

Comments welcome, though note it is a holiday here in the US Thursday and Friday, so I apologize if my responses are slow.

Paul

---

From: "Paul E. Jones" <[email-masked]>
Date: Mon, 17 Dec 2012 22:46:56 -0500

Charles,

Thanks for reviewing the text!

For REQ3, how about this:

The solution must require that the identifier, if present, pass unchanged
through SIP B2BUAs or other intermediaries.

REQ3 and REQ5 are focused on two requirements, so I'd like to keep them
separate if possible.

Paul

From: Charles Eckel (eckelcu) [mailto:[email-masked]] 
Sent: Monday, December 17, 2012 4:19 PM
To: Paul E. Jones; [email-masked]
Subject: RE: [Insipid] draft-ietf-insipid-session-id-reqts-03

Hi Paul,

Section 3.4

s/one side at a time, through until completion /one side at a time, until
completion

Section 3.7

s/ in section 4.1 of RFC 3725 the flow for which/in section 4.1 of RFC 3725,
the flow for which

Section 4,

I believe we discussed some scenarios in which a B2BUA might actually add
something to a session-id on behalf of an entity that did not add one
itself. That seems to conflict with this requirement. Either I recall the
conversions at IETF 85 incorrectly, or we need to change this requirement.
Ah, I just read REQ5, so REQ3 needs to change or be combined with REQ5.

Cheers,

Charles

Folks,

Paul

Folks,

.         Wording change on REQ3

Paul

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Tue, 18 Dec 2012 16:37:42 +0000

Works for me.

Thanks,
Charles

> -----Original Message-----
> From: Paul E. Jones [mailto:[email-masked]]
> Sent: Monday, December 17, 2012 7:47 PM
> To: Charles Eckel (eckelcu); [email-masked]
> something to a session-id on behalf of an entity that did not add one itself.
> That seems to conflict with this requirement. Either I recall the conversions
> at IETF 85 incorrectly, or we need to change this requirement. Ah, I just read
> REQ5, so REQ3 needs to change or be combined with REQ5.
> 
> 
> 
> Cheers,
> 
> Charles
> 
> 
> 
> *         Changes to REQ8 and corresponding section 3.6 that removes language
> related to RTCP with language relating to syntax; please be sure to look at
> that text
>